#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 51. Typesetting

- Prev

  biber-2.20

- Next

  xindy-2.5.1

- Up
- Home

# dvisvgm-3.4.3

## Introduction to dvisvgm

The dvisvgm package converts DVI, EPS and PDF files to SVG format.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/mgieseki/dvisvgm/releases/download/3.4.3/dvisvgm-3.4.3.tar.gz

- Download MD5 sum: 1b354023a504a72bba35a639a0987d76

- Download size: 2.8 MB

- Estimated disk space required: 268 MB (net 7 MB installed after overwriting files in $TEXLIVE_PREFIX/texmf-dist/, add 948 MB for the tests)

- Estimated build time: 0.8 SBU (add 0.5 SBU for the tests, both using parallelism=4)

### dvisvgm Dependencies

#### Required

Brotli-1.1.0, ghostscript-10.04.0, Potrace-1.16, and texlive-20240312

#### Recommended

WOFF2-1.0.2

#### Optional

asciidoc-10.2.1 with xmlto-0.0.29 and libxslt-1.1.42, dblatex (with the above) and xxHash (the current version is included in the tarball)

## Installation of dvisvgm

The test suite assumes that a modern version of Python has been installed as plain python. Changing this to use python3 requires a sed to one `Makefile.in` file.

Install dvisvgm by running the following commands:

    sed -i 's/python/&3/' tests/Makefile.in         &&
    ./configure                                     \
        --bindir=$TEXLIVE_PREFIX/bin/${TEXARCH}     \
        --mandir=$TEXLIVE_PREFIX/texmf-dist/doc/man \
        --with-kpathsea=$TEXLIVE_PREFIX             &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--with-kpathsea=$TEXLIVE_PREFIX`: This allows the build system to find the headers for `kpathsea`

## Contents

Installed Programs: dvisvgm
Installed Libraries: None
Installed Directories: None

### Short Descriptions

dvisvgm | converts DVI, EPS and PDF files to the SVG format

- Prev

  biber-2.20

- Next

  xindy-2.5.1

- Up
- Home